/*工具函数模块*/
import axios from 'axios'

// 数组去重
export function uniq(array){
    var temp = []; //一个新的临时数组
    for(var i = 0; i < array.length; i++){
        if(temp.indexOf(array[i]) == -1){
            temp.push(array[i]);
        }
    }
    return temp;
}

// 获取绝对位置的横坐标和纵坐标
export function getElementLeft(element){
    var actualLeft = element.offsetLeft;
    var current = element.offsetParent;
    while (current !== null){
        actualLeft += current.offsetLeft;
        current = current.offsetParent;
    }
    return actualLeft;
}

export function getElementTop(element){
    var actualTop = element.offsetTop;
    var current = element.offsetParent;
    while (current !== null){
        actualTop += current.offsetTop;
        current = current.offsetParent;
    }
    return actualTop;
}

// 通过axios静态获取本地资源
export function getStaticFile(url) {
    return new Promise(function (resolve) {
        let promise
        promise = axios.get(`static/${url}`)

        promise.then(function (response) {
            resolve(response.data)
        })
    })
}
